[jitsi-dev] error when compiling jitsi-android


#1

hi

have an error when i try to compile jitsi-android

when command is: ant make

i see:

-compile:
    [javac] Compiling 47 source files to /Volumes/sony 1/jitsi/jitsi-android/bin/classes
    [javac] warning: [options] source value 1.5 is obsolete and will be removed in a future release
    [javac] warning: [options] target value 1.5 is obsolete and will be removed in a future release
    [javac] warning: [options] To suppress warnings about obsolete options, use -Xlint:-options.
    [javac] /Volumes/sony 1/jitsi/jitsi-android/src/org/jitsi/impl/neomedia/codec/AndroidMediaCodec.java:1031: error: unreported exception IOException; must be caught or declared to be thrown
    [javac] = MediaCodec.createByCodecName(codecInfo.getName());
    [javac] ^
    [javac] Note: Some input files use or override a deprecated API.
    [javac] Note: Recompile with -Xlint:deprecation for details.
    [javac] Note: Some input files use unchecked or unsafe operations.
    [javac] Note: Recompile with -Xlint:unchecked for details.
    [javac] 1 error
    [javac] 3 warnings